/* 
 * use career page class to overwrite some bootstrap styles & variables etc.
*/

.career-page {
	--semantic-neutral-200: #e4e4e7;
	--semantic-neutral-50: #fafafa;
	--semantic-neutral-0: #fff;
	--semantic-neutral-500: #71717a;
	--semantic-neutral-600: #52525b;
	--sky-700: #0369a1;
}

.career-page p,
h1,
h2,
h3,
h4,
ol,
ul {
	margin: 0;
}

.career-hero {
	padding-inline: 1.25rem;
	padding-block: 1.5rem;
}

.career-hero-ctr {
	height: 424px;
	max-width: 1320px;
	margin: 0 auto;
	padding: 80px 20px;
	border-radius: 12px;
	background:
		linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 100%),
		url("/web/img/career/career-hero.webp") lightgray 50% / cover no-repeat;
	color: white;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 24px;
	text-align: center;
}

.career-hero-title {
	font-size: 2.25rem;
	font-weight: 600;
	line-height: 120%;
	letter-spacing: -0.72px;
}

.career-hero-description {
	font-size: 0.9375rem;
	font-weight: 400;
	line-height: 150%;
}

.career-positions {
	padding-inline: 1.25rem;
	padding-block-end: 1.125rem;
}

.career-positions-title {
	font-size: 1.875rem;
	font-weight: 600;
	line-height: 126%;
	text-align: center;
	margin-block-end: 1.5rem;
}

.career-positions-list {
	display: grid;
	grid-template-columns: repeat(1, minmax(0, 1fr));
	gap: 1.25rem;
}

.career-position-item {
	min-height: 191px;
	display: flex;
	transition: all 0.3s ease-in;
}

.career-position-item:hover {
	transform: translateY(-6px);
}

.career-position-item-link {
	flex: 1;
	padding: 1.25rem;
	display: flex;
	align-items: flex-start;
	gap: 18px;
	border-radius: 12px;
	border: 1px solid var(--semantic-neutral-200);
	background: var(--semantic-neutral-50);
}

.cpi-icon-ctr {
	border-radius: 12px;
	background: var(--semantic-neutral-0);
	padding: 10px;
}

.cpi-right {
	align-self: stretch;
	flex: 1;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	gap: 4px;
}

.cpi-text {
	color: var(--semantic-neutral-500);
	font-size: 1.0625rem;
	font-weight: 500;
	line-height: 150%;
}

.cpi-title {
	color: var(--semantic-neutral-600);
	font-size: 1.5rem;
	font-weight: 600;
	line-height: 133%;
}

.cpi-time {
	display: flex;
	align-items: center;
	gap: 4px;
}

.cpi-link {
	margin-block-start: auto;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 8px;
	color: var(--sky-700);
	font-size: 0.9375rem;
	font-weight: 500;
	line-height: 150%;
}

/*
 * Desktop Screen
*/

@media (min-width: 992px) {
	.career-hero {
		padding-inline: 3.75rem;
		padding-block: 4.125rem;
	}

	.career-hero-ctr {
		padding: 120px;
		height: 357px;
	}

	.career-hero-title {
		font-size: 2.5rem;
		letter-spacing: -0.8px;
	}

	.career-hero-description {
		font-size: 1.0625rem;
	}

	.career-positions {
		padding-inline: 3.75rem;
		padding-block-end: 3.75rem;
	}

	.career-positions-title {
		margin-block-end: 3rem;
	}

	.career-positions-list {
		max-width: 1052px;
		margin: 0 auto;
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}
